diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/examples/nix-double-wifi.cc ns-3.44/src/nix-vector-routing/examples/nix-double-wifi.cc
--- ns-3.43/src/nix-vector-routing/examples/nix-double-wifi.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/examples/nix-double-wifi.cc	2025-03-09 16:55:49.679372300 -0700
@@ -25,7 +25,7 @@
  * two Wifi networks on the same channel.
  *
  * IPv4 Network Topology
- * \verbatim
+ * @verbatim
     Wifi 10.1.1.0/24
                    AP
     *    *    *    *
@@ -37,7 +37,7 @@
                                       Wifi 10.1.3.0/24
    \endverbatim
  *
- * \verbatim
+ * @verbatim
     Wifi 2001:1::/64
                    AP
     *    *    *    *
@@ -51,7 +51,7 @@
  *
  * Expected Outputs:
  * IPv4:
- * \verbatim
+ * @verbatim
    Time: +7s, Nix Routing
    Route path from Node 4 to Node 7, Nix Vector: 100011 (6 bits left)
    10.1.1.3                 (Node 4)  ---->   10.1.1.4                 (Node 0)
@@ -60,7 +60,7 @@
    \endverbatim
  *
  * IPv6:
- * \verbatim
+ * @verbatim
    Time: +7s, Nix Routing
    Route path from Node 4 to Node 7, Nix Vector: 100011 (6 bits left)
    2001:1::200:ff:fe00:5    (Node 4)  ---->   fe80::200:ff:fe00:6      (Node 0)
@@ -238,19 +238,19 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(wifiStaNodes2.Get(2));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     UdpEchoClientHelper echoClient(udpServerAddress, 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(1));
-    echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(wifiStaNodes1.Get(2));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Simulator::Run();
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/examples/nix-simple.cc ns-3.44/src/nix-vector-routing/examples/nix-simple.cc
--- ns-3.43/src/nix-vector-routing/examples/nix-simple.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/examples/nix-simple.cc	2025-03-09 16:55:49.679372300 -0700
@@ -25,7 +25,7 @@
  * 2) Print Routing Path, given source and destination.
  *
  * Simple point to point links:
- * \verbatim
+ * @verbatim
        ________
       /        \
     n0 -- n1 -- n2 -- n3
@@ -69,7 +69,7 @@
  *
  * Expected IPv4 Routing Path output for above
  * cases (in the output stream):
- * \verbatim
+ * @verbatim
   Time: +3s, Nix Routing
   Route path from Node 0 to Node 3, Nix Vector: 101 (3 bits left)
   10.1.4.1                 (Node 0)  ---->   10.1.4.2                 (Node 2)
@@ -117,7 +117,7 @@
  *
  * Expected IPv6 Routing Path output for above
  * cases (in the output stream):
- * \verbatim
+ * @verbatim
   Time: +3s, Nix Routing
   Route path from Node 0 to Node 3, Nix Vector: 101 (3 bits left)
   2001:4::200:ff:fe00:7    (Node 0)  ---->   fe80::200:ff:fe00:8      (Node 2)
@@ -297,8 +297,8 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(nodes.Get(3));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     UdpEchoClientHelper echoClient(udpServerAddress, 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(1));
@@ -306,8 +306,8 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(nodes.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 
     Simulator::Run();
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/examples/nix-simple-multi-address.cc ns-3.44/src/nix-vector-routing/examples/nix-simple-multi-address.cc
--- ns-3.43/src/nix-vector-routing/examples/nix-simple-multi-address.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/examples/nix-simple-multi-address.cc	2025-03-09 16:55:49.679372300 -0700
@@ -22,7 +22,7 @@
  * addresses.
  *
  * Simple point-to-point links:
- * \verbatim
+ * @verbatim
     n0 -- n1 -- n2 -- n3
 
     From t = 0s onwards,
@@ -51,7 +51,7 @@
  *  - At t = +7s, Path from n0 to n3 (10.2.3.2).
  *
  * Logging output:
- * \verbatim
+ * @verbatim
    At time +2s client sent 1024 bytes to 10.1.3.2 port 9
    At time +2.01106s server received 1024 bytes from 10.1.1.1 port 49153
    At time +2.01106s server sent 1024 bytes to 10.1.1.1 port 49153
@@ -59,7 +59,7 @@
   \endverbatim
  *
  * Output in nix-simple-multi-address.routes:
- * \verbatim
+ * @verbatim
   Time: +3s, Nix Routing
   Route path from Node 0 to Node 1, Nix Vector: 0 (1 bits left)
   10.2.1.1                 (Node 0)  ---->   10.2.1.2                 (Node 1)
@@ -181,8 +181,8 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(nodes34.Get(1));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     // Set the destination address as 10.1.3.2
     UdpEchoClientHelper echoClient(interfaces34.GetAddress(1), 9);
@@ -191,8 +191,8 @@
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(nodes12.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 
     // Trace routing paths for different source and destinations.
     Ptr<OutputStreamWrapper> routingStream =
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/examples/nms-p2p-nix.cc ns-3.44/src/nix-vector-routing/examples/nms-p2p-nix.cc
--- ns-3.43/src/nix-vector-routing/examples/nms-p2p-nix.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/examples/nms-p2p-nix.cc	2025-03-09 16:55:49.679372300 -0700
@@ -50,7 +50,7 @@
 }
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * 2D array used in nix-vector-routing example "nms-p2p-nix.cc"
  */
 template <typename T>
@@ -59,8 +59,8 @@
   public:
     /**
      * Constructor
-     * \param x number of rows
-     * \param y number of columns
+     * @param x number of rows
+     * @param y number of columns
      */
     Array2D(const size_t x, const size_t y)
         : p(new T*[x]),
@@ -84,8 +84,8 @@
 
     /**
      * Accessor operator
-     * \param i index to be retrieved
-     * \return a pointer to the indexed element
+     * @param i index to be retrieved
+     * @return a pointer to the indexed element
      */
     T* operator[](const size_t i)
     {
@@ -98,7 +98,7 @@
 };
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * 3D array used in nix-vector-routing example "nms-p2p-nix.cc"
  */
 template <typename T>
@@ -107,9 +107,9 @@
   public:
     /**
      * Constructor
-     * \param x number of rows
-     * \param y number of columns
-     * \param z number of layers
+     * @param x number of rows
+     * @param y number of columns
+     * @param z number of layers
      */
     Array3D(const size_t x, const size_t y, const size_t z)
         : p(new Array2D<T>*[x]),
@@ -134,8 +134,8 @@
 
     /**
      * Accessor operator
-     * \param i index to be retrieved
-     * \return a reference to an Array2D of the indexed element
+     * @param i index to be retrieved
+     * @return a reference to an Array2D of the indexed element
      */
     Array2D<T>& operator[](const size_t i)
     {
@@ -657,7 +657,7 @@
                 // Sinks
                 PacketSinkHelper sinkHelper("ns3::TcpSocketFactory", sinkAddress);
                 ApplicationContainer sinkApp = sinkHelper.Install(nodes_net2LAN[z][i][j].Get(0));
-                sinkApp.Start(Seconds(0.0));
+                sinkApp.Start(Seconds(0));
                 // Sources
                 r1 = 2 + (int)(4 * urng->GetValue());
                 r2 = 10 * urng->GetValue();
@@ -678,7 +678,7 @@
                 // Sinks
                 PacketSinkHelper sinkHelper("ns3::TcpSocketFactory", sinkAddress);
                 ApplicationContainer sinkApp = sinkHelper.Install(nodes_net3LAN[z][i][j].Get(0));
-                sinkApp.Start(Seconds(0.0));
+                sinkApp.Start(Seconds(0));
                 // Sources
                 r1 = 2 + (int)(4 * urng->GetValue());
                 r2 = 10 * urng->GetValue();
@@ -716,7 +716,7 @@
     Simulator::ScheduleNow(Progress);
     std::cout << "Running simulator..." << std::endl;
     auto t1 = std::chrono::steady_clock::now();
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
     Simulator::Run();
     auto t2 = std::chrono::steady_clock::now();
     std::cout << "Simulator finished." << std::endl;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.h ns-3.44/src/nix-vector-routing/helper/nix-vector-helper.h
--- ns-3.43/src/nix-vector-routing/helper/nix-vector-helper.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/helper/nix-vector-helper.h	2025-03-09 16:55:49.679372300 -0700
@@ -22,14 +22,14 @@
 {
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  *
- * \brief Helper class that adds Nix-vector routing to nodes.
+ * @brief Helper class that adds Nix-vector routing to nodes.
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
  *
- * \internal
+ * @internal
  * Since this class is meant to be specialized only by Ipv4RoutingHelper or
  * Ipv6RoutingHelper the implementation of this class doesn't need to be
  * exposed here; it is in nix-vector-helper.cc.
@@ -58,10 +58,10 @@
     NixVectorHelper();
 
     /**
-     * \brief Construct an NixVectorHelper from another previously
+     * @brief Construct an NixVectorHelper from another previously
      * initialized instance (Copy Constructor).
      *
-     * \param o object to copy
+     * @param o object to copy
      */
     NixVectorHelper(const NixVectorHelper<T>& o);
 
@@ -69,7 +69,7 @@
     NixVectorHelper& operator=(const NixVectorHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this NixVectorHelper
+     * @returns pointer to clone of this NixVectorHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -77,22 +77,22 @@
     NixVectorHelper<T>* Copy() const override;
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
     Ptr<IpRoutingProtocol> Create(Ptr<Node> node) const override;
 
     /**
-     * \brief prints the routing path for a source and destination at a particular time.
+     * @brief prints the routing path for a source and destination at a particular time.
      * If the routing path does not exist, it prints that the path does not exist between
      * the nodes in the ostream.
-     * \param printTime the time at which the routing path is supposed to be printed.
-     * \param source the source node pointer to start traversing
-     * \param dest the IP destination address
-     * \param stream the output stream object to use
-     * \param unit the time unit to be used in the report
+     * @param printTime the time at which the routing path is supposed to be printed.
+     * @param source the source node pointer to start traversing
+     * @param dest the IP destination address
+     * @param stream the output stream object to use
+     * @param unit the time unit to be used in the report
      *
      * This method calls the PrintRoutingPath() method of the
      * NixVectorRouting for the source and destination to provide
@@ -108,12 +108,12 @@
     ObjectFactory m_agentFactory; //!< Object factory
 
     /**
-     * \brief prints the routing path for the source and destination. If the routing path
+     * @brief prints the routing path for the source and destination. If the routing path
      * does not exist, it prints that the path does not exist between the nodes in the ostream.
-     * \param source the source node pointer to start traversing
-     * \param dest the IP destination address
-     * \param stream the output stream object to use
-     * \param unit the time unit to be used in the report
+     * @param source the source node pointer to start traversing
+     * @param dest the IP destination address
+     * @param stream the output stream object to use
+     * @param unit the time unit to be used in the report
      *
      * This method calls the PrintRoutingPath() method of the
      * NixVectorRouting for the source and destination to provide
@@ -126,7 +126,7 @@
 };
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * Create the typedef Ipv4NixVectorHelper with T as Ipv4RoutingHelper
  *
  * Note: This typedef enables also backwards compatibility with original Ipv4RoutingHelper.
@@ -134,7 +134,7 @@
 typedef NixVectorHelper<Ipv4RoutingHelper> Ipv4NixVectorHelper;
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * Create the typedef Ipv6NixVectorHelper with T as Ipv6RoutingHelper
  */
 typedef NixVectorHelper<Ipv6RoutingHelper> Ipv6NixVectorHelper;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/model/nix-vector-routing.cc ns-3.44/src/nix-vector-routing/model/nix-vector-routing.cc
--- ns-3.43/src/nix-vector-routing/model/nix-vector-routing.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/model/nix-vector-routing.cc	2025-03-09 16:55:49.679372300 -0700
@@ -195,7 +195,7 @@
     }
 
     // if source == dest, then we have a special case
-    /// \internal
+    /// @internal
     /// Do not process packets to self (see \bugid{1308})
     if (source == destNode)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/model/nix-vector-routing.h ns-3.44/src/nix-vector-routing/model/nix-vector-routing.h
--- ns-3.43/src/nix-vector-routing/model/nix-vector-routing.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/model/nix-vector-routing.h	2025-03-09 16:55:49.683372300 -0700
@@ -39,17 +39,17 @@
 {
 
 /**
- * \defgroup nix-vector-routing Nix-Vector Routing
+ * @defgroup nix-vector-routing Nix-Vector Routing
  *
  * Nix-vector routing is a simulation specific routing protocol and is
  * intended for large network topologies.
  */
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * Nix-vector routing protocol
  *
- * \internal
+ * @internal
  * Since this class is meant to be specialized only by Ipv4RoutingProtocol or
  * Ipv6RoutingProtocol the implementation of this class doesn't need to be
  * exposed here; it is in nix-vector-routing.cc.
@@ -109,7 +109,7 @@
      * which iterates through the node list and flushes any
      * nix vector caches
      *
-     * \internal
+     * @internal
      * \c const is used here due to need to potentially flush the cache
      * in const methods such as PrintRoutingTable.  Caches are stored in
      * mutable variables and flushed in const methods.
@@ -118,12 +118,12 @@
 
     /**
      * @brief Print the Routing Path according to Nix Routing
-     * \param source Source node
-     * \param dest Destination node address
-     * \param stream The ostream the Routing path is printed to
-     * \param unit the time unit to be used in the report
+     * @param source Source node
+     * @param dest Destination node address
+     * @param stream The ostream the Routing path is printed to
+     * @param unit the time unit to be used in the report
      *
-     * \note IpAddress is alias for either Ipv4Address or Ipv6Address
+     * @note IpAddress is alias for either Ipv4Address or Ipv6Address
      *       depending on on whether the network is IPv4 or IPv6 respectively.
      */
     void PrintRoutingPath(Ptr<Node> source,
@@ -156,34 +156,34 @@
      * BFS, accounting for any output interface specified, and finally
      * BuildNixVector to return the built nix-vector
      *
-     * \param source Source node
-     * \param dest Destination node address
-     * \param oif Preferred output interface
-     * \returns The NixVector to be used in routing.
+     * @param source Source node
+     * @param dest Destination node address
+     * @param oif Preferred output interface
+     * @returns The NixVector to be used in routing.
      */
     Ptr<NixVector> GetNixVector(Ptr<Node> source, IpAddress dest, Ptr<NetDevice> oif) const;
 
     /**
      * Checks the cache based on dest IP for the nix-vector
-     * \param address Address to check
-     * \param foundInCache Address found in cache
-     * \returns The NixVector to be used in routing.
+     * @param address Address to check
+     * @param foundInCache Address found in cache
+     * @returns The NixVector to be used in routing.
      */
     Ptr<NixVector> GetNixVectorInCache(const IpAddress& address, bool& foundInCache) const;
 
     /**
      * Checks the cache based on dest IP for the IpRoute
-     * \param address Address to check
-     * \returns The cached route.
+     * @param address Address to check
+     * @returns The cached route.
      */
     Ptr<IpRoute> GetIpRouteInCache(IpAddress address);
 
     /**
      * Given a net-device returns all the adjacent net-devices,
      * essentially getting the neighbors on that channel
-     * \param [in] netDevice the NetDevice attached to the channel.
-     * \param [in] channel the channel to check
-     * \param [out] netDeviceContainer the NetDeviceContainer of the NetDevices in the channel.
+     * @param [in] netDevice the NetDevice attached to the channel.
+     * @param [in] channel the channel to check
+     * @param [out] netDeviceContainer the NetDeviceContainer of the NetDevices in the channel.
      */
     void GetAdjacentNetDevices(Ptr<NetDevice> netDevice,
                                Ptr<Channel> channel,
@@ -192,26 +192,26 @@
     /**
      * Iterates through the node list and finds the one
      * corresponding to the given IpAddress
-     * \param dest destination node IP
-     * \return The node with the specified IP.
+     * @param dest destination node IP
+     * @return The node with the specified IP.
      */
     Ptr<Node> GetNodeByIp(IpAddress dest) const;
 
     /**
      * Iterates through the node list and finds the one
      * corresponding to the given IpAddress
-     * \param netDevice NetDevice pointer
-     * \return The node with the specified IP.
+     * @param netDevice NetDevice pointer
+     * @return The node with the specified IP.
      */
     Ptr<IpInterface> GetInterfaceByNetDevice(Ptr<NetDevice> netDevice) const;
 
     /**
      * Recurses the T vector, created by BFS and actually builds the nixvector
-     * \param [in] parentVector Parent vector for retracing routes
-     * \param [in] source Source Node index
-     * \param [in] dest Destination Node index
-     * \param [out] nixVector the NixVector to be used for routing
-     * \returns true on success, false otherwise.
+     * @param [in] parentVector Parent vector for retracing routes
+     * @param [in] source Source Node index
+     * @param [in] dest Destination Node index
+     * @param [out] nixVector the NixVector to be used for routing
+     * @returns true on success, false otherwise.
      */
     bool BuildNixVector(const std::vector<Ptr<Node>>& parentVector,
                         uint32_t source,
@@ -221,38 +221,38 @@
     /**
      * Simply iterates through the nodes net-devices and determines
      * how many neighbors the node has.
-     * \param [in] node node pointer
-     * \returns the number of neighbors of m_node.
+     * @param [in] node node pointer
+     * @returns the number of neighbors of m_node.
      */
     uint32_t FindTotalNeighbors(Ptr<Node> node) const;
 
     /**
      * Determine if the NetDevice is bridged
-     * \param nd the NetDevice to check
-     * \returns the bridging NetDevice (or null if the NetDevice is not bridged)
+     * @param nd the NetDevice to check
+     * @returns the bridging NetDevice (or null if the NetDevice is not bridged)
      */
     Ptr<BridgeNetDevice> NetDeviceIsBridged(Ptr<NetDevice> nd) const;
 
     /**
      * Nix index is with respect to the neighbors.  The net-device index must be
      * derived from this
-     * \param [in] node the current node under consideration
-     * \param [in] nodeIndex Nix Node index
-     * \param [out] gatewayIp IP address of the gateway
-     * \returns the index of the NetDevice in the node.
+     * @param [in] node the current node under consideration
+     * @param [in] nodeIndex Nix Node index
+     * @param [out] gatewayIp IP address of the gateway
+     * @returns the index of the NetDevice in the node.
      */
     uint32_t FindNetDeviceForNixIndex(Ptr<Node> node,
                                       uint32_t nodeIndex,
                                       IpAddress& gatewayIp) const;
 
     /**
-     * \brief Breadth first search algorithm.
-     * \param [in] numberOfNodes total number of nodes
-     * \param [in] source Source Node
-     * \param [in] dest Destination Node
-     * \param [out] parentVector Parent vector for retracing routes
-     * \param [in] oif specific output interface to use from source node, if not null
-     * \returns false if dest not found, true o.w.
+     * @brief Breadth first search algorithm.
+     * @param [in] numberOfNodes total number of nodes
+     * @param [in] source Source Node
+     * @param [in] dest Destination Node
+     * @param [out] parentVector Parent vector for retracing routes
+     * @param [in] oif specific output interface to use from source node, if not null
+     * @returns false if dest not found, true o.w.
      */
     bool BFS(uint32_t numberOfNodes,
              Ptr<Node> source,
@@ -314,15 +314,15 @@
 
     /* From Ipv4RoutingProtocol and Ipv6RoutingProtocol */
     /**
-     * \brief Query routing cache for an existing route, for an outbound packet
-     * \param p packet to be routed.  Note that this method may modify the packet.
+     * @brief Query routing cache for an existing route, for an outbound packet
+     * @param p packet to be routed.  Note that this method may modify the packet.
      *          Callers may also pass in a null pointer.
-     * \param header input parameter (used to form key to search for the route)
-     * \param oif Output interface Netdevice.  May be zero, or may be bound via
+     * @param header input parameter (used to form key to search for the route)
+     * @param oif Output interface Netdevice.  May be zero, or may be bound via
      *            socket options to a particular output interface.
-     * \param sockerr Output parameter; socket errno
+     * @param sockerr Output parameter; socket errno
      *
-     * \returns a code that indicates what happened in the lookup
+     * @returns a code that indicates what happened in the lookup
      *
      * \sa Ipv4RoutingProtocol::RouteOutput
      * \sa Ipv6RoutingProtocol::RouteOutput
@@ -333,19 +333,19 @@
                                      Socket::SocketErrno& sockerr);
 
     /**
-     * \brief Route an input packet (to be forwarded or locally delivered)
-     * \param p received packet
-     * \param header input parameter used to form a search key for a route
-     * \param idev Pointer to ingress network device
-     * \param ucb Callback for the case in which the packet is to be forwarded
+     * @brief Route an input packet (to be forwarded or locally delivered)
+     * @param p received packet
+     * @param header input parameter used to form a search key for a route
+     * @param idev Pointer to ingress network device
+     * @param ucb Callback for the case in which the packet is to be forwarded
      *            as unicast
-     * \param mcb Callback for the case in which the packet is to be forwarded
+     * @param mcb Callback for the case in which the packet is to be forwarded
      *            as multicast
-     * \param lcb Callback for the case in which the packet is to be locally
+     * @param lcb Callback for the case in which the packet is to be locally
      *            delivered
-     * \param ecb Callback to call if there is an error in forwarding
+     * @param ecb Callback to call if there is an error in forwarding
      *
-     * \returns true if NixVectorRouting class takes responsibility for
+     * @returns true if NixVectorRouting class takes responsibility for
      *          forwarding or delivering the packet, false otherwise
      *
      * \sa Ipv4RoutingProtocol::RouteInput
@@ -360,7 +360,7 @@
                             const ErrorCallback& ecb);
 
     /**
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      *
      * \sa Ipv4RoutingProtocol::NotifyInterfaceUp
      * \sa Ipv6RoutingProtocol::NotifyInterfaceUp
@@ -368,7 +368,7 @@
     virtual void NotifyInterfaceUp(uint32_t interface);
 
     /**
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      *
      * \sa Ipv4RoutingProtocol::NotifyInterfaceDown
      * \sa Ipv6RoutingProtocol::NotifyInterfaceDown
@@ -376,8 +376,8 @@
     virtual void NotifyInterfaceDown(uint32_t interface);
 
     /**
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      *
      * \sa Ipv4RoutingProtocol::NotifyAddAddress
      * \sa Ipv6RoutingProtocol::NotifyAddAddress
@@ -385,8 +385,8 @@
     virtual void NotifyAddAddress(uint32_t interface, IpInterfaceAddress address);
 
     /**
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      *
      * \sa Ipv4RoutingProtocol::NotifyRemoveAddress
      * \sa Ipv6RoutingProtocol::NotifyRemoveAddress
@@ -394,10 +394,10 @@
     virtual void NotifyRemoveAddress(uint32_t interface, IpInterfaceAddress address);
 
     /**
-     * \brief Print the Routing Table entries
+     * @brief Print the Routing Table entries
      *
-     * \param stream The ostream the Routing table is printed to
-     * \param unit The time unit to be used in the report
+     * @param stream The ostream the Routing table is printed to
+     * @param unit The time unit to be used in the report
      *
      * \sa Ipv4RoutingProtocol::PrintRoutingTable
      * \sa Ipv6RoutingProtocol::PrintRoutingTable
@@ -407,9 +407,9 @@
 
     /* From IPv4RoutingProtocol */
     /**
-     * \brief Typically, invoked directly or indirectly from ns3::Ipv4::SetRoutingProtocol
+     * @brief Typically, invoked directly or indirectly from ns3::Ipv4::SetRoutingProtocol
      *
-     * \param ipv4 the ipv4 object this routing protocol is being associated with
+     * @param ipv4 the ipv4 object this routing protocol is being associated with
      *
      * \sa Ipv4RoutingProtocol::SetIpv4
      */
@@ -417,22 +417,22 @@
 
     /* From IPv6RoutingProtocol */
     /**
-     * \brief Typically, invoked directly or indirectly from ns3::Ipv6::SetRoutingProtocol
+     * @brief Typically, invoked directly or indirectly from ns3::Ipv6::SetRoutingProtocol
      *
-     * \param ipv6 the ipv6 object this routing protocol is being associated with
+     * @param ipv6 the ipv6 object this routing protocol is being associated with
      *
      * \sa Ipv6RoutingProtocol::SetIpv6
      */
     virtual void SetIpv6(Ptr<Ip> ipv6);
 
     /**
-     * \brief Notify a new route.
+     * @brief Notify a new route.
      *
-     * \param dst destination address
-     * \param mask destination mask
-     * \param nextHop nextHop for this destination
-     * \param interface output interface
-     * \param prefixToUse prefix to use as source with this route
+     * @param dst destination address
+     * @param mask destination mask
+     * @param nextHop nextHop for this destination
+     * @param interface output interface
+     * @param prefixToUse prefix to use as source with this route
      *
      * \sa Ipv6RoutingProtocol::NotifyAddRoute
      */
@@ -443,13 +443,13 @@
                                 IpAddress prefixToUse = IpAddress::GetZero());
 
     /**
-     * \brief Notify route removing.
+     * @brief Notify route removing.
      *
-     * \param dst destination address
-     * \param mask destination mask
-     * \param nextHop nextHop for this destination
-     * \param interface output interface
-     * \param prefixToUse prefix to use as source with this route
+     * @param dst destination address
+     * @param mask destination mask
+     * @param nextHop nextHop for this destination
+     * @param interface output interface
+     * @param prefixToUse prefix to use as source with this route
      *
      * \sa Ipv6RoutingProtocol::NotifyRemoveRoute
      */
@@ -509,7 +509,7 @@
 };
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * Create the typedef Ipv4NixVectorRouting with T as Ipv4RoutingProtocol
  *
  * Note: This typedef enables also backwards compatibility with original Ipv4NixVectorRouting.
@@ -517,7 +517,7 @@
 typedef NixVectorRouting<Ipv4RoutingProtocol> Ipv4NixVectorRouting;
 
 /**
- * \ingroup nix-vector-routing
+ * @ingroup nix-vector-routing
  * Create the typedef Ipv6NixVectorRouting with T as Ipv6RoutingProtocol
  */
 typedef NixVectorRouting<Ipv6RoutingProtocol> Ipv6NixVectorRouting;
